## org.apache.tools.ant.types
Class FileSet

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.AbstractFileSet
                        |
                        +--org.apache.tools.ant.types.FileSet

All Implemented Interfaces:
  java.lang.Cloneable, SelectorContainer

Direct Known Subclasses:
  ClassfileSet, LibFileSet, Tar.TarFileSet, ZipFileSet

public class FileSet
extends AbstractFileSet

Moved out of MatchingTask to make it a standalone object that could be referenced (by scripts for example).

Author:
  Arnout J. Kuiper ajkuiper@wxs.nl, Stefano Mazzocchi stefano@apache.org, Sam Ruby rubys@us.ibm.com, Jon S. Stevens jon@clearink.com, Stefan Bodewig, Magesh Umasankar

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`` `FileSet()`
`protected` `FileSet(FileSet fileset)`

Method Summary
`java.lang.Object` `clone()` Return a FileSet that has the same basedir and same patternsets as this one.

Methods inherited from class org.apache.tools.ant.types.AbstractFileSet

`addAnd, addContains, addCustom, addDate, addDepend, addDepth, addFilename, addMajority, addNone, addNot, addOr, addPresent, addSelector, addSize, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDataTypeName, getDir, getDirectoryScanner, getRef, getSelectors, hasPatterns, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setDir, setExcludes, setExcludesfile, setFile, setFollowSymlinks, setIncludes, setIncludesfile, setRefid, setupDirectoryScanner`

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getCheckedRef, getDescription, isReference, noChildrenAllowed, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSet

    public FileSet()

### FileSet

    protected FileSet(FileSet fileset)

Method Detail

### clone

    public java.lang.Object clone()

  Return a FileSet that has the same basedir and same patternsets as this one.

  Overrides:
    `clone` in class `java.lang.Object`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.